Subject: Re: [PORTS] [PATCH]: Building PostgreSQL 7.0.2 on Cygwin 1.1.4 (T ake 2)
From: Jason Tishler <[email-masked]>
To: "Reimer, Fred" <[email-masked]>
Cc: Peter Eisentraut <[email-masked]>, Bruce Momjian <[email-masked]>, Cygwin <[email-masked]>, [email-masked]
Date: Wed, 18 Oct 2000 11:56:11 -0400

Fred,

On Tue, Oct 17, 2000 at 01:23:38PM -0400, Reimer, Fred wrote:
> Stupid question, but why not?  If someone is going to install the latest and
> greatest version of PostgreSQL why would it be unreasonable to expect them
> to install the latest and greatest Cygwin also?

I feel likewise but I do not have a (large) base of users/systems that are
running Cygwin 1.0 or b20.  Those who do will most likely feel otherwise.

> I would hope
> that "production" use of PostgreSQL was done on a "production" box and that
> only the cygwin dll was necessary and not the whole cygwin programming
> environment.

You are correct, only the Cygwin DLL is needed.

> In that case, I don't see what would be the big deal with
> requiring/providing a newer version of cygwin and "breaking" compatability
> with old versions.

Unfortunately, two different version of the Cygwin DLL can not coexist
on the same system.  So, if some app needs the b20 DLL and PostgreSQL
needs the 1.1.4 DLL you are SOL.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]